Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_RadioGroup

RadioGroup
Contained in: global
Derived from: none
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_RadioGroup` | `()`;
`` | `~CL_RadioGroup` | `()`;

### Attributes:

``int`` | `get_count` | `() `const``;
``CL_RadioButton`*` | `get_toggled` | `() `const``;
``const` `std::vector`<`CL_RadioButton`* >&` | `get_buttons` | `() `const``;

### Operations:

``void`` | `add` | `(`CL_RadioButton`* `button`, `bool` `delete_component` = false)`;
``void`` | `remove` | `(`CL_RadioButton`* `button`)`;

### Signals:

``CL_Signal_v1`<`CL_RadioButton`* >&` | `sig_selection_changed` | `()`;

### private function member index:

### Implementation:

`` | `CL_RadioGroup` | `(`const` `CL_RadioGroup`& `copy`)`;

## Description:

## Function Member Descriptions:

CL_RadioGroup::CL_RadioGroup - RadioGroup Constructor
`` `CL_RadioGroup` `()`;

CL_RadioGroup::add - Adds a component into the group.
``void`` `add` `(`CL_RadioButton`* `button`, `bool` `delete_component` = false)`;

CL_RadioGroup::get_buttons - Returns all buttons in the group.
``const` `std::vector`<`CL_RadioButton`* >&` `get_buttons` `() `const``;

CL_RadioGroup::get_count - Returns the amount of buttons added to the group.
``int`` `get_count` `() `const``;

CL_RadioGroup::get_toggled - Returns the selected button if any, NULL otherwise.
``CL_RadioButton`*` `get_toggled` `() `const``;

CL_RadioGroup::remove - Removes a component from the group.
``void`` `remove` `(`CL_RadioButton`* `button`)`;

CL_RadioGroup::sig_selection_changed - This signal is emitted when the radio selection is changed.
``CL_Signal_v1`<`CL_RadioButton`* >&` `sig_selection_changed` `()`;

CL_RadioGroup::~CL_RadioGroup - RadioGroup Destructor
`` `~CL_RadioGroup` `()`;

## Variable Member Descriptions: